# vim:ft=perl
# travelynx.conf must be a valid perl hash reference. String values must be
# quoted and hash items must end with a comma. You can access environment
# variables via $ENV, e.g. by writing $ENV{TRAVELYNX_DB_HOST} instead of
# 'localhost'.

{
    base_url => Mojo::URL->new('https://${domain}'),

    cache => {
        schedule => '/var/cache/travelynx/iris',
        realtime => '/var/cache/travelynx/iris-rt',
    },

    db => {
        host => '${database.get('host', 'localhost')}',
        port => 5432,
        database => '${database['database']}',
        user => '${database['username']}',
        password => '${database['password']}',
    },

    hypnotoad => {
        accepts  => 100,
        clients  => 10,
        listen   => [ 'http://127.0.0.1:22020' ],
        pid_file => '/var/cache/travelynx/travelynx.pid',
        workers  => ${workers},
        spare    => ${spare_workers},
    },

    mail => {
        from => '${mail_from}',
    },

    ref => {
        issues => 'https://github.com/derf/travelynx/issues',
        source => 'https://github.com/derf/travelynx',
    },

    secrets => [
        '${cookie_secret}',
% for i in sorted(additional_cookie_secrets):
        '${i}',
% endfor
    ],

    version => '${version}',
};
